firehol (3.1.8+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/patches/*:
      - d/p/fix-upstream-doc-confusing_quotes.patch, introduce;
      - d/p/debianization-documentation-HTML_format-checks-skip.patch,
        introduce as workaround.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Apr 2025 18:37:59 +0000

firehol (3.1.7+ds-6) unstable; urgency=low

  [ Jerome Benoit ]
  * Update copyright year-tuples.
  * Refresh d/watch and the Files-Excluded list.
  * Bump Standards-Version to 4.7.2 (no change).
  * Correct technical typo in d/firehol-tools.lintian-overrides .

  [ Moritz Schlarb ]
  * Make pdf generation for docs reproducible (Closes: #1090078).
  * Add CI.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Apr 2025 14:09:52 +0000

firehol (3.1.7+ds-5) unstable; urgency=medium

  * Debianization:
    - START_FIREHOL=AUTO scheme, minor corrections;
    - d/control:
      - Standards-Version, bump to 4.7.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 22 Sep 2024 12:25:45 +0000

firehol (3.1.7+ds-4) unstable; urgency=medium

  * Debianization:
    - d/ifupdown/*:
      - d/i/ifupdown-firehol.sh, move to bash shebang (Closes: #1068046).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Mar 2024 08:51:21 +0000

firehol (3.1.7+ds-3) unstable; urgency=medium

  * Debianization
    - introduce a START_FIREHOL=AUTO scheme that allows one to handle firehol
      with a third-party like ifupdown (Closes: #993322, #536362, #309198);
    - firehol.NEWS, concisely introduce the START_FIREHOL=AUTO scheme;
    - firehol.README.Debian, describe the START_FIREHOL=AUTO scheme;
    - material to handle firehol via the ifupdown tools, introduce;
    - d/firehol.init, d/p/debianization-source-etc_default.patch,
      set explicitly the START_FIREHOL=NO scheme as the default scheme
      (inconsistency fix) (Closes: 976014);
    - contrib/ipset-apply.sh, now part of firehol-tools (Closes: #1050664);
    - d/control:
      - firehol-{,tools-}doc, fireqos-doc, add Multi-Arch: foreign,
        thanks to Jelmer Vernooĳ <jelmer@debian.org>;
      - debhelper, migrate to debhelper-compat (=13);
      - Standards-Version, bump to 4.6.2 (scripts under /usr/libexec);
      - Dependencies over lsb-base, remove;
    - firehol scripts, now under the /usr/libexec hierarchy;
    - d/copyright:
      - copyright year tuples, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 24 Jan 2024 21:34:39 +0000

firehol (3.1.7+ds-2) unstable; urgency=medium

  * FTBFS fix release, set conditional dh_auto_test (Closes: #982719).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 28 Feb 2021 09:14:26 +0000

firehol (3.1.7+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - debian/copyright:
      - copyright year tuples, refresh;
    - debian/control:
      - Standards-Version, bump to 4.5.1 (no change);
    - debian/firehol-{doc,tools}.lintian-overrides, refresh tags.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Feb 2021 12:35:04 +0000

firehol (3.1.6+ds-10) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Depends/Recommends/Suggests fields:
        - firehol, append version for iptables (Closes: #958671);
        - firehol-tools, improve;
    - debian/*.REAME.Debian:
      - d/firehol.README.Debian, update (Closes: #935640);
    - debian/patches:
      - d/p/debianization-source-etc_default.patch , introduce
        (Closes: #944022);
    - debian/upstream/metadata, introduce;
    - debian/changelog, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 May 2020 16:16:21 +0000

firehol (3.1.6+ds-9) unstable; urgency=medium

  * FTBFS fix release (Closes: #949142), fix dependencing over LaTeX stuff.
  * Debianization:
    - debian/copyright:
      - copyright year tuples, refresh;
    - debian/control:
      - debhelper, migrate to debhelper-compat (=12);
      - Standards-Version, bump to 4.5.0 (no change);
      - Rules-Requires-Root, set to no;
      - fire{hol,qos} Pre-Depends field, introduce;
    - debian/firehol-doc.lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Feb 2020 05:51:38 +0000

firehol (3.1.6+ds-8) unstable; urgency=medium

  * RC bug fix release (Closes: 926784), use iptable -legacy tools since
    the default -nft tools are not yet supported by firehol.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 12 Apr 2019 05:58:29 +0000

firehol (3.1.6+ds-7) unstable; urgency=medium

  * RC bug fix release (Closes: #913844), harden smooth usrmerge transition.
  * Debianization:
    - debian/patches/debianization-usrmerge-transition.patch, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 17 Nov 2018 13:17:32 +0000

firehol (3.1.6+ds-6) unstable; urgency=medium

  * RC bug fix release (Closes: #913552), smooth usrmerge transition.
  * Debianization:
    - debian/patches/debianization-usrmerge-transition.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Nov 2018 06:36:18 +0000

firehol (3.1.6+ds-5) unstable; urgency=medium

  * FTBR fix release, thanks to Snahil Singh <gitlab@salsa.debian.org>
    for spotting the issue and bringing a patch.
  * Debianization:
    - debian/rules:
      - pkg-info.mk, include;
    - debian/patches/*:
      - d/p/debianization.patch, FTBR fix.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 11 Nov 2018 23:04:28 +0000

firehol (3.1.6+ds-4) unstable; urgency=medium

  * RC bug fix release (Closes: #912624, #912943), add missing files.
  * Debianization:
    - debian/fire{hol,qos}.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 07 Nov 2018 06:19:38 +0000

firehol (3.1.6+ds-3) unstable; urgency=medium

  * RC bug fix release (Closes: #903303, #912624, #912758), add missing file.
  * Debianization:
    - debian/firehol-common.install, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 04 Nov 2018 12:33:30 +0000

firehol (3.1.6+ds-2) unstable; urgency=medium

  * RC bug fix release (Closes: #903303), update services.
  * Debianization:
    - debian/*.service, link to contrib/*.service.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 04 Nov 2018 10:53:52 +0000

firehol (3.1.6+ds-1) unstable; urgency=medium

  * New upstream patch version (Closes: #853950, #881669).
  * Debianization:
    - debian/upstream/signing-key.asc, new key;
    - debian/watch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 31 Oct 2018 21:34:13 +0000

firehol (3.1.5+ds1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Jerome Benoit ]
  * d/control: Bump Standards Version to 4.2.1 (no change)
  * d/clean: harden
  * d/s/options: Remove

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 31 Oct 2018 04:03:37 +0000

firehol (3.1.5+ds1-2) unstable; urgency=medium

  * RC bug fix release (Closes: #901102), redundant documents in <PKG>.docs
    and <PKG>-doc.docs (second attempt).
  * Debianization:
    -  debian/control:
       - Breaks+Replaces fields, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 22 Jun 2018 20:42:05 +0000

firehol (3.1.5+ds1-1) unstable; urgency=medium

  * RC bug fix release (Closes: #901102), redundant documents in <PKG>.docs
    and <PKG>-doc.docs.
  * Debianization:
    - debian/watch:
      - repacksuffix, increment;
    - debian/copyright:
      - Files-Excluded field, exclude html/ipsets materials;
    - debian/patches/*:
      - d/p/debianization.patch , discard html/ipsets in html/Makefile.am ;
    - debian/fire{hol,qos,hol-tools}-doc.docs, discard documents already
      furnished by their main packages.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jun 2018 13:29:02 +0000

firehol (3.1.5+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Copyright fields, update year tuples;
    - debian/control:
      - debhelper, bump to 11 (refresh d/control, d/rules,
          and d/*.{doc-base,install,links,dirs});
      - Standards Version, bump to 4.1.4 (no change);
      - Vcs-* fields, migration to Salsa;
    - debian/watch:
      - option, add repack and compression;
    - debian/rules:
      - debhelper targets, refresh;
      - get-orig-source target, discard;
    - debian/upstream/, migrate to clear key;
    - debian/source/include-binaries, discard;
    - debian/{firehol,fireqos}.service, introduce (copy from contrib);
    - debian/{firehol,fireqos,firehol-tools}-doc.doc-base, temporarily
        discard HTML format (due to pandoc html composition issue,
  	    upstream bug issue #346).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 May 2018 15:22:01 +0000

firehol (3.1.5+ds-1) unstable; urgency=medium

  * New upstream minor version.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 20 Sep 2017 18:53:05 +0000

firehol (3.1.4+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/control:
      - debhelper, bump to 10 (force no-parallel build);
      - Standards Version, bump to 4.1.0 (no change);
    - debian/patches/*:
      - d/p/upstream-*.patch, integrated (thanks to the upstream team);
    - debian/rules:
      - dh options, add --no-parallel .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 01 Sep 2017 07:18:28 +0000

firehol (3.1.1+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright, refresh;
    - debian/watch, update;
    - debian/patches/:
      - d/p/upstream-lintian-spelling-error-silence.patch, integrated;
      - d/p/debianization-fireqos.patch, dicard (see second last subsection);
      - d/p/upstream-silence-lintian-example-interpreter-not-absolute.patch,
        introduce and submitted;
      - d/p/upstream-update-doc-copyright-year.patch, submitted;
    - make /etc/firehol the configuration folder for FireQOS
      as in the upstream distribution;
    - fix typos.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Jan 2017 10:19:12 +0000

firehol (3.0.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/control:
      - Depends field, add lsb-base for firehol and fireqos;
    - debian/patches/:
      - d/p/upstream-(!lintian)*.patch, integrated by the upstream team (thanks
        to the upstream team);
      - d/p/upstream-lintian-spelling-error-silence.patch, introduce and submit.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 22 Nov 2016 17:42:47 +0000

firehol (3.0.1+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Replaces/Breaks fields, adjust;
      - Enhances fields, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Aug 2016 12:51:12 +0000

firehol (3.0.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Vcs-Git field, correct;
      - Standards Version, bump to 3.9.8 (no change);
    - manpages belonging to section 5 (files formats and conventions)
      are now gathered in their associated -doc package, thanks to
      Alexander Perlis <aperlis@math.lsu.edu> for reporting the issue
      (Closes: #819742).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 04 Aug 2016 00:01:17 +0000

firehol (3.0.1+ds-1) unstable; urgency=medium

  * New upstream major version (Closes: #813114).
  * Debianization:
    - debian/control:
      - new binary packages: firehol-tools{,-doc} and firehol-common;
      - Homepage, Vcs-* fields: refresh and secure;
      - Standards Version, bump to 3.9.7 (no change);
      - refresh;
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
      - harden;
    - debian/rules, harden;
    - debian/fire{hol,qos}-doc.doc-base, revisit;
    - material for firehol-tools, firehol-tools-doc and firehol-common.
  * Minor, cosmetic fixes submitted to the upstream maintainers.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 22 Feb 2016 04:07:11 +0000

firehol (2.0.3+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 26 Apr 2015 13:55:25 +0000

firehol (2.0.2+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules: add --restart-after-upgrade to dh_installinit, thanks to
      Michael Gebetsroither <michael@mgeb.org> for the hint (Closes: #780356).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 13 Mar 2015 20:33:30 +0000

firehol (2.0.2+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 06 Mar 2015 10:46:29 +0000

firehol (2.0.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/watch: watch only for stable releases;
    - debian/copyright: refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 17 Feb 2015 13:32:19 +0000

firehol (2.0.0+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Breaks+Replaces machinery relations to smooth upgrade for
        firehol+firehol-doc, add (Closes: #767565).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 01 Nov 2014 22:44:06 +0000

firehol (2.0.0+ds-1) unstable; urgency=medium

  * New upstream (officially) stable version:
    - mark the first (officially) stable release of FireHOL with IPv6 support
      and including FireQOS to provide traffic management for humans;
    - no changes from ~rc.3.
  * Debianization:
    - debian/control, revisit;
    - debian/watch, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Oct 2014 14:54:12 +0000

firehol (2.0.0~rc.3+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 19 Oct 2014 23:38:27 +0000

firehol (2.0.0~rc.2+ds-1) unstable; urgency=medium

  * New upstream major version:
    - previous non-Debian-centric minor fixes were integrated, all of them
      but the faulty `concurrent run' one.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.6 (no change);
    - debian/repack, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 13 Oct 2014 00:49:21 +0000

firehol (2.0.0~rc.1+ds-1) experimental; urgency=medium

  * New upstream major version:
     - IPv6 support (Closes: #292621);
     - detailed documentation (Closes: #556575);
     - traffic shaping support coined FireQOS as
       counterpart of the firewall FireHOL;
     - all non-Debian-centric patches were incorporated.
  * Debianization:
     - debian/control:
       - update descriptions;
       - new binary packages: firehol-doc, fireqos and fireqos-doc;
     - debian/{copyright,NEWS,README.{Debian,Services}}, refresh;
     - debian/firehol.init, revisit (Closes: #574459);
     - material for firehol-doc, fireqos and fireqos-doc;
     - firehol has been moved from /sbin to /usr/sbin for consistency
       reasons, fireqos being in /usr/sbin for similar reasons;
     - /etc/default/firehol is no more source_d by firehol;
     - /etc/init.d/firehol now exports variables defined in
       /etc/default/firehol;
     - debian/firehol.README.Debian, add notes (with samples) to log
       firehol messages to a separate log file with rsyslog;
     - make /etc/fireqos the configuration folder for FireQOS
       instead of /etc/firehol as in the upstream distribution.
  * Minor, cosmetic fixes submitted to the upstream maintainers.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 15 Aug 2014 13:53:52 +0000

firehol (1.297-1) unstable; urgency=low

  * New upstream version:
    - fix the privacy breach by using Google Adsense in the HTML
      documents as reported by lintian, thanks to the upstream
      maintainer Phil Whineray <phil@firehol.org>;
    - cosmetic fixes.
  * Debianization:
    - debian/copyright:
      - Upstream-Contact field, refresh;
      - Source fields, update;
      - X-Upstream-* fields, update;
      - Copyright field, correct.
    - debian/control:
      - Standards Version, bump to 3.9.5;
      - Vcs-* headers, canonicalization and correction;
      - Homepage field, update;
      - Description field, refresh;
      - minor updates.
    - debian/watch:
      - effective set up with upstream signature verification.
    - debian/rules:
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball;
      - default target which basically queries package status with uscan
        -- output in DEHS format.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 27 Dec 2013 20:13:00 +0000

firehol (1.296-3) unstable; urgency=low

  * Fix kernel version detection so that it is more flexible and less error
    prone (Closes: #707875), thanks to Cristian Ionescu-Idbohrn
    <cristian.ionescu-idbohrn@axis.com>.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 15 May 2013 13:24:41 +0000

firehol (1.296-2) unstable; urgency=low

  * Fix iptables intrapositioned negation --mac-source ,
    thanks to Alexander Prokopyev for pointing it out and to
    Phil Whineray for backporting the Sanewall patch to FireHOL.
  * Minor fixes.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 08 May 2013 17:14:16 +0000

firehol (1.296-1) unstable; urgency=low

  * New maintainer (Closes: #660524).
  * New upstream version (Closes: #607785):
    - Removed dependency to get-iana.sh and to RESERVED_IPS
      (Closes: #583176, #565737, #574458, #598324, #455754, #536609, #558288),
      thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
      (#536609), to Adrian Bridgett <adrian@smop.co.uk> (#583176);
    - Updated documentations (Closes: #571727);
    - Improved kernel modules management (Closes: #610249);
    - Simplified quoting in log prefix (Closes: #443051) (LP: #253843);
    - Passive FTP fix (Closes: #563655), thanks to Toni Mueller
      <support@oeko.net>;
    - Minor improvements and fixes.
  * Update to source format 3.0 (quilt).
  * Bump debhelper build-dep to >= 9.
  * Bump Standards Version to 3.9.4.
  * Rewrite debian/rules:
    - use dh sequencer with minimal external Makefile.
  * Revisit debian/control.
  * Add empty but commented watch file.
  * Correct manpages.
  * Remove RESERVED_IPS as it is no more mandatory, nevertheless
    /usr/share/doc/firehol/examples contains an updated minimal version.
  * Move get-iana.sh to /usr/share/doc/firehol/examples
    as RESERVED_IPS is no more mandatory.
  * Render /etc/init.d/firehol independ from /usr tree.
  * Add `status' option support to /etc/init.d/firehol (LP: #185978).
  * Convert debian/copyright to DEP-5 format.
  * Conform debian/patches/ patches to DEP-3 format.
  * Generate now temporary directory with mktemp (Closes: #496424),
    thanks to Phil Whineray for pointing to it.
  * Now plainly use iproute (Red Hat Bugzilla: #784520),
    thanks to Phil Whineray for hardening the original RedHat patch.
  * Temporary files are now left behind in case of error (Closes: #703341),
    thanks to Phil Whineray who backported the Sanewall patch to FireHOL.
  * `panic' option has been rationalized (Closes: #536675),
    thanks to Andrew Schulman and Phil Whineray.
  * Standard patch naming scheme (Closes: #705731), thanks to
    Jari Aalto <jari.aalto@cante.net>.
  * Whitespace cleanup, thanks to Jari Aalto <jari.aalto@cante.net>.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 20 Apr 2013 07:06:57 +0000

firehol (1.273-1) unstable; urgency=low

  * New upstream release
    - support /proc/config.gz (Closes: #465319)
    - works without less (Closes: #494941)
  * Update RESERVED_IPS
  * fix comment in /etc/default/firehol (Closes: #521873)
  * Suggest ulogd (Closes: #555528)

 -- Alexander Wirt <formorer@debian.org>  Sat, 14 Nov 2009 21:11:41 +0100

firehol (1.256-4) unstable; urgency=low

  * Update list of reserved IPs (Closes: #455752, #479897)
  * Move get-iana to /usr/sbin
  * Make get-iana working again (Closes: #470879)
  * Fix get-iana name in firehol output (Closes: #475352)
  * Also support wizard parameter in the init script (Closes: #461082)
  * Don't let initscript fail if there are no parameters (Closes: #489991)

 -- Alexander Wirt <formorer@debian.org>  Fri, 18 Jul 2008 22:20:16 +0200

firehol (1.256-3) unstable; urgency=low

  * Adding a patch to 00list helps. Activate the OpenVPN Patch
    (Closes: #440916)

 -- Alexander Wirt <formorer@debian.org>  Thu, 18 Oct 2007 14:13:09 +0200

firehol (1.256-2) unstable; urgency=low

  * Add OpenVPN support (Closes: #440916)
  * Allow lower and mixed case for START_FIREHOL.
    Old logic (start if != NO) got also restored.
    (Closes: #440919)

 -- Alexander Wirt <formorer@debian.org>  Wed, 05 Sep 2007 22:54:53 +0200

firehol (1.256-1) unstable; urgency=low

  * New upstream version (Closes: #425398)
  * Removed split - makes updates much easier
    - This fixes also some problems with the wizard (Closes: #424073)
    - Restores old condrestart feature (Closes: #324851)
  * Add support for vlan interfaces in the wizard (Closes: #411662).
    Thanks to Vincent Danjean for the patch
  * Add firehol configfile to initscript (Closes: #293873)
  * Depend on lsb-base (Closes: #420990)
  * Rename msn to msnp and add msn with port 1863 (Closes: #411846)

 -- Alexander Wirt <formorer@debian.org>  Sat, 01 Sep 2007 08:44:26 +0200

firehol (1.231-7) unstable; urgency=low

  * Remove bashism from init script (Closes: #390726)

 -- Alexander Wirt <formorer@debian.org>  Tue,  3 Oct 2006 12:52:57 +0200

firehol (1.231-6) unstable; urgency=low

  * Remove simple dhcp config (Closes: #390178)
  * Switch initfile to LSB conformance

 -- Alexander Wirt <formorer@debian.org>  Fri, 29 Sep 2006 18:44:27 +0200

firehol (1.231-5) unstable; urgency=low

  * Added helpme option (starts wizard) to /etc/init.d/firehol
    (Thanks to Eduard Bloch for the idea) (Closes: #335328)
  * Updates list of reserved ips (Closes: #357250, Closes: #379127)
  * Updated manpage (Closes: #335602)
  * Removed bc from dependencies (Closes: #349409)
  * Updated manpage for the protection command (Closes: #371832)
  * Updates description (Closes: #359221)
  * Changed client range to 1000:65535 (Closes: #357034)
  * Fixed some spelling error in the package description (Closes: #363413)
  * Backported some fix the nfs service
  * Backported service ospf from cvs
  * Backported a fix for the spf client from cvs
  * Backported a fix for the sip service
  * Backported recent feature

 -- Alexander Wirt <formorer@debian.org>  Fri, 21 Jul 2006 17:52:29 +0200

firehol (1.231-4) unstable; urgency=low

  * Cleaned up tempdir creation and removal in firehol-wizard
    (Closes: #324598). Thanks to Javier Fernández-Sanguino Peña for the patch

 -- Alexander Wirt <formorer@debian.org>  Tue, 23 Aug 2005 07:23:29 +0200

firehol (1.231-3) unstable; urgency=low

  * Fixed lockfile deletion (Closes: #315399,#309651)

 -- Alexander Wirt <formorer@debian.org>  Sun, 10 Jul 2005 08:52:50 +0200

firehol (1.231-2) unstable; urgency=medium

  * Create lockfile while starting firehol (Closes: #304853)

 -- Alexander Wirt <formorer@debian.org>  Thu, 27 Jul 2006 15:20:26 +0200

firehol (1.231-1) unstable; urgency=low

  * New upstream release (Closes: #303560)

 -- Alexander Wirt <formorer@debian.org>  Fri,  8 Apr 2005 20:40:43 +0200

firehol (1.214-2) unstable; urgency=high

  * Makes wget and curl check fail silently because the normal user
    will never need it. Added wget | curl to recommends.
    (Closes: #291041)
  * Allow additional argumentens for init script (Closes: #290728)
    Thanks to Peter Marschall for the patch
  * Fixed security bug in the tempdir creation (Closes: #291680)
    Thanks to Sam Couter for pointing to it
  * Fixed wrong named variable in the lan-gateway.conf example
    (Closes: #289211)
  * Added the possibility to wait for an interface if set in
    /etc/default/firehol. See README.Debian for more infos
    (Closes: #291667) Thanks again to Sam Couter for the patch.

 -- Alexander Wirt <formorer@debian.org>  Sat, 22 Jan 2005 15:11:18 +0100

firehol (1.214-1) unstable; urgency=low

  * New upstream release (Closes: #279231)
    + Updated RESERVED_IPS (Closes: #269248)
  * Removed dependency on less (Closes: #260202)
  * Added README.Services and bittorrent example
  * Added openvpn as service (IANA Port from openvpn 2.0)

 -- Alexander Wirt <formorer@debian.org>  Thu, 23 Dec 2004 15:33:52 +0100

firehol (1.191-2) unstable; urgency=low

  * Now uses pager instead of hardcoded less (Closes: #258654)
    Thanks to Itamar Ravid for the patch

 -- Alexander Wirt <formorer@debian.org>  Sun, 18 Jul 2004 15:35:34 +0200

firehol (1.191-1) unstable; urgency=low

  * New Maintainer: Alexander Wirt <formorer@debian.org>
  * New Upstream Release
    + Better Kernel Module management (Closes: #244241, #242062)
  * Fixed description so that new users doesn't get scared (Closes: #243102)
  * Fixed /etc/default/firehol handling (Closes: #245307)
    Thanks Michael Ablassmeier for the patch.
  * Mentioned firehol-wizard in the new README.Debian
  * Moved firehol and firehol-wizard manpages into the correct section
  * Removed gawk dependency and set GAWK_CMD to awk in firehol-lib
    (Closes: #250401)

 -- Alexander Wirt <formorer@debian.org>  Sat, 22 May 2004 18:39:45 +0200

firehol (1.182+cvs+20040325-2) unstable; urgency=low

  * Also search for the kernel config in /boot/config-`uname -r`. (Closes:
    #241171)
  * Don't die if we don't find lsmod and modprobe, only warn if they would be
    needed. (Closes: #241172)
  * debian/control: Recommend modutils | module-init-tools.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 31 Mar 2004 15:29:16 +0200

firehol (1.182+cvs+20040325-1) unstable; urgency=low

  * New upstream source (no release, but stable):
    + Fixed cups rule (Closes: #216632)
  * debian/control:
    + I'm a DD now!
    + Bumped Standards-Version to 3.6.1 (no changes)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 25 Mar 2004 21:05:42 +0100

firehol (1.159-1) unstable; urgency=low

  * New upstream release:
     - New helper functions MARK and BLACKLIST
     - Better support for kernel series 2.[56]
     - Added lockd support in service NFS, suggested by Daniel Pittman
     - New rules for TFTP, XDMCP and Veritas NetBackup.
    (Closes: #214570)
  * Fixed bashisms in debian/rules. Thanks Domenico Andreoli for the patch.
    (Closes: #209366)

 -- Marc Brockschmidt <marc@dch-faq.de>  Sat, 18 Oct 2003 15:53:05 +0200

firehol (1.146+cvs+20030729-1) unstable; urgency=low

  * New upstream release.
  * Included patch from Daniel Pittman (Thanks!) fixing a typo in firehol
    which resulted in trying to load the ip_tables module in all cases.
    (Closes: #200571)

 -- Marc Brockschmidt <marc@dch-faq.de>  Tue, 29 Jul 2003 02:02:05 +0200

firehol (1.132+cvs+20030611-1) unstable; urgency=low

  * New upstream version (shortened list of reserved IPs, 2 new
    services: dcpp and msn)
  * New upstream version (with manpage for firehol.conf(5)).
  * Updated to Standards-Version 3.5.10.

 -- Marc Brockschmidt <marc@dch-faq.de>  Tue, 10 Jun 2003 23:30:12 +0200

firehol (1.129+cvs+20030601-1) unstable; urgency=low

  * Split firehol.sh in 2 scripts (firehol.sh, firehol-wizard.sh),
    created a lib and a init-script.
  * Changed startup order to create an iptables firewall before
    configuring the network devices (and stop it after deconfiguring
    them)

 -- Marc Brockschmidt <marc@dch-faq.de>  Sun, 01 Jun 2003 19:15:00 +0200

firehol (1.128-4) unstable; urgency=low

  * Fixed console messages from the init script (see Debian Policy,
    chapter 10.4)
  * Cleaned the startup code a bit...

 -- Marc Brockschmidt <marc@dch-faq.de>  Sat, 10 May 2003 12:54:48 +0200

firehol (1.128-3) unstable; urgency=low

  * Cleaned debian/rules a bit.
  * Now uses /etc/default/firehol to determine whether it is configured
    or not.

 -- Marc Brockschmidt <marc@dch-faq.de>  Mon, 05 May 2003 19:53:20 +0200

firehol (1.128-2) unstable; urgency=low

  * Fixed use of /var/lock/subsys/*

 -- Marc Brockschmidt <marc@dch-faq.de>  Thu, 01 May 2003 21:45:00 +0200

firehol (1.128-1) unstable; urgency=low

  * Initial Release.

 -- Marc Brockschmidt <marc@dch-faq.de>  Thu, 01 May 2003 13:10:00 +0200
